ql-dynamic-tgt-disc(8)

NAME
ql-dynamic-tgt-lun-disc - Scans for newly added LUNs.

SYNOPSIS
ql-dynamic-tgt-lun-disc [OPTIONS]

DESCRIPTION
Dynamic TGT-LUN Discovery Utility

This utility scans for newly added LUNs. After adding new LUNs, you do not need to unload, then load the QLogic FC driver or reboot the system

To begin scanning the LUNs issue following command:

    # /usr/sbin/ql-dynamic-tgt-lun-disc

-al,   --allow-lip
    LIP is not issued by default, even if it is required for scanning new LUNs Setting this option, allows the utility to issue LIP.

-cl, --current-luns
    Displays LUNS currently present

-e,  --extended-scan
    Use this option as "-e | --extended-scan". to rescan LUNs. This will identify any change in attributes of existing LUNs. This option can be used in combination of scan/refresh or max luns

-h,  --help, ?
    Prints this help message

-i,  --interactive
    Use this option to use the menu driven program

-is,  --iscsi
    Use this option to operate on ISCSI HBAs, this option can be used in combination of any other supported option.

-m,  --max-lun
    To set the maximum LUNs to be scanned

-p,  --proc
    Use PROC file system for LUN scanning

-r,  --refresh
    To refresh, that is remove LUNs that are lost use the options "-r|--refresh". This will remove the LUNs which no more exist.

-s,  --scan [ -r|--refresh ]
    The QLogic LUN scan utility re-scans all the devices connected to the QLogic HBA

SEE ALSO
ql-lun-state-online(8), ql-hba-snapshot(8), ql-set-cmd-timeout(8)